/finance/template

Create a new template

Create a new template

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Body Parameters

NameTypeRequiredDescription
templateapp.TemplateYesa new template

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

templateBody parameterapp.Template
address
No description.
address_id
integer
No description.
agency_service_total
number
No description.
audit_logs
No description.
collapse_position_groups
integer
No description.
created_at
integer
No description.
custom_fields
No description.
date_document
integer
No description.
external_service_total
number
No description.
foot_note
string
No description.
gross_total
number
No description.
head_note
string
No description.
hide_document_totals
boolean
No description.
hide_external_services
boolean
No description.
hide_group_totals
boolean
No description.
hide_groups
boolean
No description.
hide_position_amount_and_unit
boolean
No description.
hide_position_group_header
boolean
No description.
hide_position_totals
boolean
No description.
hide_position_value_per_unit
boolean
No description.
hide_positions
boolean
No description.
id
integer
No description.
identification_code
string
No description.
job
No description.
job_id
integer
No description.
lang
string
No description.
markup
integer
No description.
modified_at
integer
No description.
name
string
No description.
net_total
number
No description.
organisation
No description.
organisation_id
integer
No description.
page_break_before_foot_note
boolean
No description.
page_break_before_head_note
boolean
No description.
person
No description.
person_id
integer
No description.
positions
No description.
print_version_show_period_of_performance
boolean
No description.
recipient_addr1
string
No description.
recipient_addr2
string
No description.
recipient_address
string
No description.
recipient_city
string
No description.
recipient_country_code
No description.
recipient_email
string
No description.
recipient_organisation_name
string
No description.
recipient_person_first_name
string
No description.
recipient_person_last_name
string
No description.
recipient_zip
string
No description.
show_commissions_in_group
boolean
No description.
show_commissions_in_position
boolean
No description.
show_commissions_in_total
boolean
No description.
small_job
No description.
small_user
No description.
stationary
No description.
stationary_id
integer
No description.
status
No description.
subscribed_users
No description.
tab_left
string
No description.
tab_right
string
No description.
token
string
No description.
3 additional properties are hidden on this page to keep the endpoint view small. Open the model page for a focused view.
cURL
curl -X POST 'https://<tenant>.dieagenturverwaltung.de/api/v2/finance/template' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "address": {},
  "address_id": 123,
  "agency_service_total": 123.45,
  "audit_logs": [
    {}
  ],
  "collapse_position_groups": 123,
  "created_at": 123,
  "custom_fields": [
    {}
  ],
  "date_document": 123,
  "external_service_total": 123.45,
  "foot_note": "string",
  "gross_total": 123.45,
  "head_note": "string",
  "hide_document_totals": true,
  "hide_external_services": true,
  "hide_group_totals": true,
  "hide_groups": true,
  "hide_position_amount_and_unit": true,
  "hide_position_group_header": true,
  "hide_position_totals": true,
  "hide_position_value_per_unit": true,
  "hide_positions": true,
  "id": 123,
  "identification_code": "string",
  "job": {},
  "job_id": 123,
  "lang": "string",
  "markup": 123,
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {},
  "organisation_id": 123,
  "page_break_before_foot_note": true,
  "page_break_before_head_note": true,
  "person": {},
  "person_id": 123,
  "positions": [
    {}
  ],
  "print_version_show_period_of_performance": true,
  "recipient_addr1": "string",
  "recipient_addr2": "string",
  "recipient_address": "string",
  "recipient_city": "string",
  "recipient_country_code": "AF",
  "recipient_email": "string",
  "recipient_organisation_name": "string",
  "recipient_person_first_name": "string",
  "recipient_person_last_name": "string",
  "recipient_zip": "string",
  "show_commissions_in_group": true,
  "show_commissions_in_position": true,
  "show_commissions_in_total": true,
  "small_job": {},
  "small_user": {},
  "stationary": {},
  "stationary_id": 123,
  "status": "wartet auf Freigabe",
  "subscribed_users": [
    {}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "user": {},
  "user_id": 123,
  "vat": 123.45
}'
Request Body (application/json)
{
  "address": {...},
  "address_id": 123,
  "agency_service_total": 123.45,
  "audit_logs": [
    {...}
  ],
  "collapse_position_groups": 123,
  "created_at": 123,
  "custom_fields": [
    {...}
  ],
  "date_document": 123,
  "external_service_total": 123.45,
  "foot_note": "string",
  "gross_total": 123.45,
  "head_note": "string",
  "hide_document_totals": true,
  "hide_external_services": true,
  "hide_group_totals": true,
  "hide_groups": true,
  "hide_position_amount_and_unit": true,
  "hide_position_group_header": true,
  "hide_position_totals": true,
  "hide_position_value_per_unit": true,
  "hide_positions": true,
  "id": 123,
  "identification_code": "string",
  "job": {...},
  "job_id": 123,
  "lang": "string",
  "markup": 123,
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {...},
  "organisation_id": 123,
  "page_break_before_foot_note": true,
  "page_break_before_head_note": true,
  "person": {...},
  "person_id": 123,
  "positions": [
    {...}
  ],
  "print_version_show_period_of_performance": true,
  "recipient_addr1": "string",
  "recipient_addr2": "string",
  "recipient_address": "string",
  "recipient_city": "string",
  "recipient_country_code": "AF",
  "recipient_email": "string",
  "recipient_organisation_name": "string",
  "recipient_person_first_name": "string",
  "recipient_person_last_name": "string",
  "recipient_zip": "string",
  "show_commissions_in_group": true,
  "show_commissions_in_position": true,
  "show_commissions_in_total": true,
  "small_job": {...},
  "small_user": {...},
  "stationary": {...},
  "stationary_id": 123,
  "status": "wartet auf Freigabe",
  "subscribed_users": [
    {...}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "user": {...},
  "user_id": 123,
  "vat": 123.45
}

Responses

200OK
app.Templateapplication/json
Example
{
  "address": {...},
  "address_id": 123,
  "agency_service_total": 123.45,
  "audit_logs": [
    {...}
  ],
  "collapse_position_groups": 123,
  "created_at": 123,
  "custom_fields": [
    {...}
  ],
  "date_document": 123,
  "external_service_total": 123.45,
  "foot_note": "string",
  "gross_total": 123.45,
  "head_note": "string",
  "hide_document_totals": true,
  "hide_external_services": true,
  "hide_group_totals": true,
  "hide_groups": true,
  "hide_position_amount_and_unit": true,
  "hide_position_group_header": true,
  "hide_position_totals": true,
  "hide_position_value_per_unit": true,
  "hide_positions": true,
  "id": 123,
  "identification_code": "string",
  "job": {...},
  "job_id": 123,
  "lang": "string",
  "markup": 123,
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {...},
  "organisation_id": 123,
  "page_break_before_foot_note": true,
  "page_break_before_head_note": true,
  "person": {...},
  "person_id": 123,
  "positions": [
    {...}
  ],
  "print_version_show_period_of_performance": true,
  "recipient_addr1": "string",
  "recipient_addr2": "string",
  "recipient_address": "string",
  "recipient_city": "string",
  "recipient_country_code": "AF",
  "recipient_email": "string",
  "recipient_organisation_name": "string",
  "recipient_person_first_name": "string",
  "recipient_person_last_name": "string",
  "recipient_zip": "string",
  "show_commissions_in_group": true,
  "show_commissions_in_position": true,
  "show_commissions_in_total": true,
  "small_job": {...},
  "small_user": {...},
  "stationary": {...},
  "stationary_id": 123,
  "status": "wartet auf Freigabe",
  "subscribed_users": [
    {...}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "user": {...},
  "user_id": 123,
  "vat": 123.45
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}